Package org.apache.tomcat.util.http.fileupload.impl

## Class FileSizeLimitExceededException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.tomcat.util.http.fileupload.FileUploadException
        - - org.apache.tomcat.util.http.fileupload.impl.SizeException
          - - org.apache.tomcat.util.http.fileupload.impl.FileSizeLimitExceededException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class FileSizeLimitExceededException
      extends SizeException

  Thrown to indicate that A files size exceeds the configured maximum.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FileSizeLimitExceededException​(java.lang.String message, long actual, long permitted)` | Constructs a `SizeExceededException` with the specified detail message, and actual and permitted sizes.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getFieldName()` | Returns the field name of the item, which caused the exception.
    `java.lang.String` | `getFileName()` | Returns the file name of the item, which caused the exception.
    `void` | `setFieldName​(java.lang.String pFieldName)` | Sets the field name of the item, which caused the exception.
    `void` | `setFileName​(java.lang.String pFileName)` | Sets the file name of the item, which caused the exception.

    - ### Methods inherited from class org.apache.tomcat.util.http.fileupload.impl.SizeException

      `getActualSize, getPermittedSize`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FileSizeLimitExceededException

          public FileSizeLimitExceededException​(java.lang.String message,
                                                long actual,
                                                long permitted)

      Constructs a `SizeExceededException` with the specified detail message, and actual and permitted sizes.
      Parameters:
        `message` - The detail message.
        `actual` - The actual request size.
        `permitted` - The maximum permitted request size.

  - ### Method Detail

    - #### getFileName

          public java.lang.String getFileName()

      Returns the file name of the item, which caused the exception.
      Returns:
        File name, if known, or null.

    - #### setFileName

          public void setFileName​(java.lang.String pFileName)

      Sets the file name of the item, which caused the exception.
      Parameters:
        `pFileName` - the file name of the item, which caused the exception.

    - #### getFieldName

          public java.lang.String getFieldName()

      Returns the field name of the item, which caused the exception.
      Returns:
        Field name, if known, or null.

    - #### setFieldName

          public void setFieldName​(java.lang.String pFieldName)

      Sets the field name of the item, which caused the exception.
      Parameters:
        `pFieldName` - the field name of the item, which caused the exception.